import eduLine.*;
/**
 * CrossRoads mit eduLine.jar
 * Einbinden von eduLine ber Options | Preferences | Libraries
 * Gelbblinken der Ampel rechts unten, Ende ESC-Taste
 * 
 * @author Ulrich Mller 
 * @version 26.12.09
 */
public class FirstCross
{
    public static void main() {
        CrossRoads cr = new CrossRoads();
        System.out.println("FirstCross gestartet, Ende : ESC-Taste");
        cr.openUSB(0,0);
        boolean flipFlop = false;
        while(!cr.finish()) {
            if(flipFlop) cr.setOutput(Out.EM1O2, Dir.Off);
            else         cr.setOutput(Out.EM1O2, Dir.On);
            cr.pause(333);
            flipFlop = !flipFlop;
        }
        cr.setOutput(Out.EM1O2, Dir.Off);
        cr.closeUSB();
    }
}

