' ------------------------------------------------------------------------------------------
'
' CrossMain.vb                                                        Ulrich Mller 20.07.09
'                                                                     Aspire VB 2005 Express
' Testrahmen fr die Klassenbibliothek CrossRoads.DLL
' 
' ------------------------------------------------------------------------------------------

Imports CrossRoads40

Public Class crossMain
	Dim cr As New CrossRoads()

	Private Sub cmdAction_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAction.Click
		Try
			lstAusgabe.Items.Clear()
			cr.OpenUSB()
			lstAusgabe.Items.Add(cr.ActDevice)
			lstAusgabe.Items.Add("Schleifenende : ESC-Taste")

			Select Case cboBeispiel.Text
				Case "MultiBlinker"
					MultiBlinker()
				Case "Ampel"
					Ampel()
				Case "AmpelListe"
					AmpelListe()
				Case "AmpelDuo"
					AmpelDuo()
				Case "Fuber"
					FussUeber()
				Case "RotBlitzer"
					RotBlitzer()
			End Select
			lstAusgabe.Items.Add("--- FINITO ---")
			cr.CloseUSB()
		Catch ecr As CrossRoadsException
			lstAusgabe.Items.Add(ecr.Message)
		End Try

	End Sub
	Private Sub MultiBlinker()
		Dim Lampe As UInteger = OutM.EM1O8
		Dim Blitzer As UInteger = 0
		lstAusgabe.Items.Add("Spielereien mit den Mglichkeiten")
		Do
			cr.SetOutputs(Blitzer + Lampe + OutM.IF1O1 + OutM.EM3O6)
			cr.Pause(444)
			cr.SetOutputs(Lampe + OutM.IF1O4 + OutM.EM3O8)
			cr.Pause(333)
			If cr.GetInput(Inp.IF1I1) Then
				lstAusgabe.Items.Add("Luft - Helligkeitswert : " + cr.GetVoltage(Inp.A1).ToString())
			End If
			If cr.GetInput(Inp.EM1I6) Then Blitzer = OutM.EM1O7 Else Blitzer = 0
		Loop Until cr.Finish()
	End Sub
	Private Sub Ampel()
		lstAusgabe.Items.Add("Einfache Ampel")
		Do
			cr.SetOutput(Out.IF1O3, Dir.On)
			cr.Pause(3000)
			cr.SetOutput(Out.IF1O3, Dir.Off)
			cr.SetOutput(Out.IF1O2, Dir.On)
			cr.Pause(1000)
			cr.SetOutput(Out.IF1O2, Dir.Off)
			cr.SetOutput(Out.IF1O1, Dir.On)
			cr.Pause(3500)
			cr.SetOutput(Out.IF1O2, Dir.On)
			cr.Pause(1000)
			cr.SetOutput(Out.IF1O1, Dir.Off)
			cr.SetOutput(Out.IF1O2, Dir.Off)
		Loop Until cr.Finish()
	End Sub
	Private Enum Duos
		Rot = OutM.IF1O1 + OutM.IF1O4
		Gelb = OutM.IF1O2 + OutM.IF1O5
		Gruen = OutM.IF1O3 + OutM.IF1O6
		RotQ = OutM.EM1O1 + OutM.EM1O4
		GelbQ = OutM.EM1O2 + OutM.EM1O5
		GruenQ = OutM.EM1O3 + OutM.EM1O6
	End Enum
	Private Sub AmpelDuo()
		lstAusgabe.Items.Add("Ampelkreuzung im Duett")
		Do
			cr.SetOutputs(Duos.Rot + Duos.GruenQ)
			cr.Pause(3500)
			cr.SetOutputs(Duos.Gelb + Duos.GelbQ)
			cr.Pause(1000)
			cr.SetOutputs(Duos.Gruen + Duos.RotQ)
			cr.Pause(3500)
			cr.SetOutputs(Duos.Gelb + Duos.GelbQ)
			cr.Pause(1000)
		Loop Until cr.Finish()
	End Sub
	Private Sub AmpelListe()
		Dim SchaltListe() As UInteger = { _
		Duos.Rot + Duos.GruenQ, _
		Duos.Rot + Duos.GruenQ, _
		Duos.Rot + Duos.GruenQ, _
		Duos.Gelb + Duos.GelbQ, _
		Duos.Gruen + Duos.RotQ, _
		Duos.Gruen + Duos.RotQ, _
		Duos.Gruen + Duos.RotQ, _
		Duos.Gelb + Duos.GelbQ}
		Dim Lampe As UInteger = 0
		lstAusgabe.Items.Add("Ampelkreuzung nach Liste")
		Do
			If cr.GetVoltage(Inp.A1) < 500 Then Lampe = OutM.EM1O8 Else Lampe = 0
			For i As Integer = 0 To SchaltListe.Length - 1
				cr.SetOutputs(Lampe + SchaltListe(i))
				cr.Pause(1000)
			Next
		Loop Until cr.Finish()
	End Sub
	Private FussWunsch As Boolean = False
	Private Sub tmrFuss_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) _
	 Handles tmrFuss.Tick
		If cr.GetInput(Inp.IF1I1) Or cr.GetInput(Inp.IF1I2) Then FussWunsch = True Else _
		FussWunsch = False
	End Sub
	Private Enum DuoF
		Rot = OutM.EM2O1 + OutM.EM3O1
		Gruen = OutM.EM2O2 + OutM.EM3O2
	End Enum
	Private Sub FussUeber()
		tmrFuss.Enabled = True
		lstAusgabe.Items.Add("Fugngerberweg")
		Do
			If FussWunsch Then
				FussWunsch = False
				cr.SetOutputs(Duos.Gelb + DuoF.Rot)
				cr.Pause(1000)
				cr.SetOutputs(Duos.Rot + DuoF.Gruen)
				cr.Pause(3500)
				cr.SetOutputs(Duos.Gelb + DuoF.Rot)
				cr.Pause(1000)
			End If
			cr.SetOutputs(Duos.Gruen + DuoF.Rot)
			cr.Pause(5000)
		Loop Until cr.Finish()
		tmrFuss.Enabled = False
	End Sub
	Private Anforderung As Boolean = False
	Private Sub tmrBlitzer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrBlitzer.Tick
		If Anforderung Then
			If cr.GetInput(Inp.EM1I5) And Not cr.GetInput(Inp.EM1I3) Then
				cr.SetOutput(Out.EM1O7, Dir.On)
				cr.Pause(333)
				cr.SetOutput(Out.EM1O7, Dir.Off)
				Anforderung = False
			End If
		Else
			Anforderung = cr.GetInput(Inp.EM1I3)
		End If
	End Sub
	Private Sub RotBlitzer()
		lstAusgabe.Items.Add("RotBlitzer ist aktiv")
		Do
			cr.SetOutputs(Duos.Rot + Duos.GruenQ)
			cr.Pause(3500)
			cr.SetOutputs(Duos.Gelb + Duos.GelbQ)
			cr.Pause(1000)
			cr.SetOutputs(Duos.Gruen + Duos.RotQ)
			tmrBlitzer.Enabled = True
			cr.Pause(3500)
			tmrBlitzer.Enabled = False
			cr.SetOutputs(Duos.Gelb + Duos.GelbQ)
			cr.Pause(1000)
		Loop Until cr.Finish()
	End Sub

	Private Sub crossMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		cboBeispiel.SelectedIndex = 0
	End Sub
End Class
