﻿' ------------------------------------------------------------------------------------------
'
' eduLine.vb                                                          Ulrich Müller 20.07.09
'                                                                     Aspire VB 2005 Express
' Statische Klasse mit Deklarationen für education Line
'           Basis eduLine.DLL
'
' ------------------------------------------------------------------------------------------

Public Enum IFTypen As Integer
	first_USB = 0
	ROBO_Interface_USB = 60
	EDU_LINE_Module = 300
	EDU_LINE_CrossRoads = 301
	EDU_LINE_TrafficLights = 302
	EDU_LINE_Signal = 303
End Enum

Public Class eduLine
	' --- eduLine.DLL Deklarationen ----------------------------------------

	Public Declare Function edOpenUSB Lib "eduLine.DLL" _
	(ByVal ifTyp As UInteger, ByVal SerialNr%) As UInteger
	Public Declare Function edCloseUSB Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger) As UInteger
	' --- I- A- und D-Eingänge ----------------
	Public Declare Function edGetInput Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger, ByVal InputNr%) As Integer
	Public Declare Function edGetInputs Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger) As Integer
	Public Declare Function edGetVoltage Lib "eduLine.DLL" _
 (ByVal iHandle%, ByVal VoltNr%) As Integer
	' --- M- und O-Ausgänge ---------------
	Public Declare Function edGetOutputs Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger) As UInteger
	Public Declare Function edSetOutputs Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger, ByVal MotorStatus As UInteger) As UInteger
	Public Declare Function edSetOutput Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger, ByVal LampNr%, ByVal OnOff%) As Integer
	' --- Auskunftsfunktionen-----------------
	Public Declare Function edGetActDeviceType Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger) As Integer
	Public Declare Function edGetActDeviceSerialNr Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger) As Integer
	Public Declare Function edGetActDeviceFirmwareNr Lib "eduLine.DLL" _
 (ByVal iHandle As UInteger) As UInteger

	Public Const edFehler As UInteger = &HE0000001L

	' --- Win API Deklarationen ----------------------------------------------------

	Public Declare Sub Sleep Lib "kernel32" (ByVal mSek%)
	Public Declare Function GetTickCount Lib "kernel32" () As Integer
	Public Declare Function GetAsyncKeyState Lib "kernel32" (ByVal vKey%) As Integer
	Public Const ESCAPE As Integer = &H1B


End Class
