// -----------------------------------------------------------------------------------------
//
// eduLineTest.CPP                                                    Ulrich Mller 16.07.09
//                                                                    PCS1700       VC++ 6.0
// Kleines Beispiel zur Nutzung von eduLine.DLL 
//
// -----------------------------------------------------------------------------------------

#include <Windows.h>
#include <iostream.h>
#include "eduLineVC.H"

void main() {
	char Ende;
	cout << "--- Hallo CrossRoads : es geht los ---" << endl;
	int iHandle = edOpenUSB(0, 0);
	if (iHandle == edFehler) {
		cout << "Da stimmt etwas nicht : ENDE (Enter-Taste)" << endl;
		cin.get(Ende);
		return;
	}
	cout << "Interface  : " << edGetActDeviceName(iHandle)
		   << ", Typ      : " << edGetActDeviceType(iHandle) 
		   << ", SerialNr : " << edGetActDeviceSerialNr(iHandle) << endl;
	cout << "Firmware   : " << edGetActDeviceFirmware(iHandle) << endl;
	cout << endl << "Start : I1 druecken" << endl;
	while(!edGetInput(iHandle, 1)) {Sleep(123);}
	for (int i = 0; i < 5; i++) {
		edSetOutput(iHandle, 1, 1);
		Sleep(333);
		edSetOutput(iHandle, 1, 0);
		Sleep(333);
	}
	rbCloseUSB(iHandle);
	cout << endl << "--- FINIS : Enter-Taste ---" << endl;
	cin.get(Ende);
}